## StBoxLayout StBoxLayout — a layout container arranging children in a single line |

## Functions

StWidget * | st_box_layout_new ()
void | st_box_layout_set_vertical ()
gboolean | st_box_layout_get_vertical ()
void | st_box_layout_set_pack_start ()
gboolean | st_box_layout_get_pack_start ()
void | st_box_layout_set_align_end ()
gboolean | st_box_layout_get_align_end ()
void | st_box_layout_insert_actor ()
void | st_box_layout_insert_before ()

## Properties

gboolean | align-end | Read / Write
gboolean | pack-start | Read / Write
gboolean | vertical | Read / Write

## Types and Values

struct | StBoxLayout

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StContainer
                        ╰── StBoxLayout

## Implemented Interfaces

StBoxLayout implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

The StBoxLayout arranges its children along a single line, where each child can be allocated either its preferred size or larger if the expand option is set. If the fill option is set, the actor will be allocated more than its requested size. If the fill option is not set, but the expand option is enabled, then the position of the actor within the available space can be determined by the alignment child property.

## Functions

### st_box_layout_new ()

    StWidget *
    st_box_layout_new (void);

Create a new StBoxLayout.

#### Returns

a newly allocated StBoxLayout

### st_box_layout_set_vertical ()

    void
    st_box_layout_set_vertical (StBoxLayout *box,
                                gboolean vertical);

Set the value of the “vertical” property

#### Parameters

box | A StBoxLayout |
vertical | `TRUE` if the layout should be vertical |

### st_box_layout_get_vertical ()

    gboolean
    st_box_layout_get_vertical (StBoxLayout *box);

Get the value of the “vertical” property.

#### Parameters

box | A StBoxLayout |

#### Returns

`TRUE` if the layout is vertical

### st_box_layout_set_pack_start ()

    void
    st_box_layout_set_pack_start (StBoxLayout *box,
                                  gboolean pack_start);

Set the value of the “pack-start” property.

#### Parameters

box | A StBoxLayout |
pack_start | `TRUE` if the layout should use pack-start |

### st_box_layout_get_pack_start ()

    gboolean
    st_box_layout_get_pack_start (StBoxLayout *box);

Get the value of the “pack-start” property.

#### Parameters

box | A StBoxLayout |

#### Returns

`TRUE` if pack-start is enabled

### st_box_layout_set_align_end ()

    void
    st_box_layout_set_align_end (StBoxLayout *box,
                                 gboolean align_end);

Set the value of the “align-end” property.

#### Parameters

box | A StBoxLayout |
align_end | `TRUE` if the layout should use align-end |

### st_box_layout_get_align_end ()

    gboolean
    st_box_layout_get_align_end (StBoxLayout *box);

Get the value of the “align-end” property.

#### Parameters

box | A StBoxLayout |

#### Returns

`TRUE` if align-end is enabled

### st_box_layout_insert_actor ()

    void
    st_box_layout_insert_actor (StBoxLayout *self,
                                ClutterActor *actor,
                                int pos);

Adds `actor` to `self` at position `pos` . If `pos` is negative or larger than the number of elements in the list then `actor` is added after all the others previously added.

#### Parameters

self | A StBoxLayout |
actor | A ClutterActor |
pos | position to insert actor |

### st_box_layout_insert_before ()

    void
    st_box_layout_insert_before (StBoxLayout *self,
                                 ClutterActor *actor,
                                 ClutterActor *sibling);

Adds `actor` to `self` at the position before `sibling` . `sibling` cannot be `NULL` and must be already a child of `self` .

#### Parameters

self | A StBoxLayout |
actor | A ClutterActor |
sibling | A previously added ClutterActor |

## Types and Values

### struct StBoxLayout

    struct StBoxLayout;

The contents of this structure are private and should only be accessed through the public API.

## Property Details

### The `“align-end”` property

      “align-end”                gboolean

Whether the children should be flushed to the end.

Flags: Read / Write

Default value: FALSE

### The `“pack-start”` property

      “pack-start”               gboolean

Whether to pack items at the start of the box.

Flags: Read / Write

Default value: FALSE

### The `“vertical”` property

      “vertical”                 gboolean

Whether the layout should be vertical, ratherthan horizontal.

Flags: Read / Write

Default value: FALSE